<div ng-controller="ContenedorSemanaCtrl">
	<div class="page page-dashboard">
        <div class="pageheader">
            <div class="page-bar">
              <ul class="page-breadcrumb">
                <li>
                  <a ui-sref="home.dashboard"><i class="fa fa-home"></i> Home</a>
                </li>
                <li>
                  <a ui-sref="home.dashboard">Gráficos</a>
                </li>
              </ul>
            </div>
        </div>
        <div class="card-container">
        	<section class="tile" fullscreen="isFullscreen01">
		        <!-- tile header -->
		        <div class="tile-header dvd dvd-btm">
		          <h1 class="custom-font"><i class="fa fa-bar-chart"></i> Gráfico de contenedores por Semana</h1>
		          <ul class="controls">
		            <li>
		            	<a href tile-control-fullscreen ng-click="isFullscreen01 = !isFullscreen01">
		                    <fa name="expand"></fa>
		                </a>
		            </li>
		          </ul>
		        </div>
		        <!-- /tile header -->

		        <!-- tile body -->
		        <div class="tile-body">
			        <div class="loading-container" ng-if="flag">
				        <div class="loading"></div>
				        <div id="loading-text">Cargando</div>
				    </div>
			        <div class="row" ng-show="!flag">
						<div class="col-md-12">
							<div class="text-center">
								<h4>Contenedores por Semana</h4>
								<div class="col-md-4 col-md-offset-4">
									<form class="form-horizontal" role="form"> 
										<div class="form-group">
										 	<label for="inputEmail3" class="col-sm-2 control-label">Año: </label> 
										 	<div class="col-sm-10"> 
										 		<select class="form-control" ng-model="obj.anio" ng-change="consultarData(obj.anio)" ng-options="an.id as an.anio for an in anios">
								                    <option value="">-- Año --</option>
								                </select>
										 	</div> 
										</div> 
									</form>
								</div>
								<div class="col-md-4">
									<strong>Promedio de contenedores actual: {{promedio_semanal}}</strong>
								</div>
							</div>
							
						</div>
						<div class="col md-12">
							<div ng-if="!data.length > 0" class="text-center">
								<i class="fa fa-inbox fa-3x"></i> 
								<h3>No hay semanas aperturadas para este año.</h3>
							</div>
						</div>
						<hr>
						<br>
						<div ng-show="data.length > 0">
							<div class="col-md-12" id="chartdiv" style="width: 100%; height: 500px;"></div>
						</div>						
					</div>
		        </div>
		        
		        <!-- /tile body -->

		    </section>
		</div>
	</div>
</div>